Subject: bug#38491: Evolution is missing GPG

From: Jesse Gibbons <[email-masked]>
Date: Thu, 05 Dec 2019 09:53:50 -0700

On Wed, 2019-12-04 at 13:11 +0100, Leo Prikler wrote:
> Hi Guix,
> 
> I recently discovered, that Evolution would complain about a missing
> GPG whenever it encounters a signed message.  For the record, I've only
> installed evolution-data-server in the operating-system and evolution
> itself inside my user profile and not installed gpg in either place,
> thus causing this issue.  Would it make sense to make gpg an input to
> evolution and hardcode the path in the source?  Or would it perhaps be
> better to have it as propagated input?  WDYT?
> 
> Regards,
> Leo
> 
> 
> 
> 
Guix complains that it cannot find gpg when I call "guix import gnu
<package>". But unless I'm using a function of guix that depends on gpg,
guix is not broken, so gpg is not an input or propagated input of guix. I
think we have the same situation here. Evolution is functional without GPG,
and handles itself fairly well when gpg is not found.

Try installing gpg locally and see if it stops complaining. If so, we have a
solution. If not, we should consider adding GPG as a propagated input to
Evolution.